package com.tfis.system.service;

import java.util.List;
import com.tfis.system.domain.FaultCase;

/**
 * 故障案例管理Service接口
 * 
 * @author allen
 * @date 2023-11-23
 */
public interface IFaultCaseService 
{
    /**
     * 查询故障案例管理
     * 
     * @param id 故障案例管理主键
     * @return 故障案例管理
     */
    public FaultCase selectFaultCaseById(Long id);

    /**
     * 查询故障案例管理列表
     * 
     * @param faultCase 故障案例管理
     * @return 故障案例管理集合
     */
    public List<FaultCase> selectFaultCaseList(FaultCase faultCase);

    /**
     * 新增故障案例管理
     * 
     * @param faultCase 故障案例管理
     * @return 结果
     */
    public int insertFaultCase(FaultCase faultCase);

    /**
     * 修改故障案例管理
     * 
     * @param faultCase 故障案例管理
     * @return 结果
     */
    public int updateFaultCase(FaultCase faultCase);

    /**
     * 批量删除故障案例管理
     * 
     * @param ids 需要删除的故障案例管理主键集合
     * @return 结果
     */
    public int deleteFaultCaseByIds(Long[] ids);

    /**
     * 删除故障案例管理信息
     * 
     * @param id 故障案例管理主键
     * @return 结果
     */
    public int deleteFaultCaseById(Long id);
}
